%input {
  width: 100%;
  padding: var(--spacer-tiny) var(--spacer-small);
  border: none;
  border-radius: var(--border-radius);
  background-color: var(--input-background-color-green);
  color: var(--input-color);
  font-size: var(--input-font-size);
  outline: none;

  &[disabled] {
    background-color: var(--input-background-color-mute);
    cursor: not-allowed;
  }

  &[readonly] {
    background-color: var(--input-background-color-mute);
  }

  &:invalid {
    background-color: var(--input-background-color-orange);
  }

  &::placeholder {
    color: var(--input-placeholder-color);
    opacity: var(--input-placeholder-opacity);
  }
}
